Package: org.codehaus.groovy.tools.shell.commands

## [Groovy] Class DocCommand

- org.codehaus.groovy.tools.shell.commands.DocCommand

- The 'doc' command.

  Authors:
    Masato Nagai
    Andre Steingress
  Since:
    2.2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `COMMAND_NAME` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CommandSupport` | `NEWLINE, io, log, messages, registry, shell`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DocCommand (Groovysh shell)` Check for java.awt.Desktop#browse platform support

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `browse(List urls)`
    `` | `protected void` | `browseWithAWT(List urls)`
    `` | `protected void` | `browseWithNativeBrowser(String browser, List urls)`
    `` | `protected List<Completer>` | `createCompleters()`
    `` | `void` | `doc(String className)`
    `` | `Object` | `execute(List<String> args)`
    `` | `protected String` | `getBrowserEnvironmentVariable()`
    `` | `protected String` | `normalizeClassName(String className)`
    `` | `protected boolean` | `sendHEADRequest(URL url)`
    `` | `protected List` | `urlsFor(String className)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CommandSupport` | `alias, assertNoArguments, createCompleters, fail, fail, getAliases, getBinding, getBuffer, getBuffers, getClassLoader, getCompleter, getDescription, getHelp, getHidden, getHistory, getImports, getName, getShortcut, getUsage, getVariables`

- - ### Field Detail

    - #### public static final String COMMAND_NAME

  - ### Constructor Detail

    - #### DocCommand(Groovysh shell)

      Check for java.awt.Desktop#browse platform support

  - ### Method Detail

    - #### protected void browse(List urls)

    - #### protected void browseWithAWT(List urls)

    - #### protected void browseWithNativeBrowser(String browser, List urls)

    - #### @Override protected List<Completer> createCompleters()

    - #### void doc(String className)

    - #### @Override Object execute(List<String> args)

    - #### protected String getBrowserEnvironmentVariable()

    - #### protected String normalizeClassName(String className)

    - #### protected boolean sendHEADRequest(URL url)

    - #### protected List urlsFor(String className)